Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.particle
Class ParticleEffectContainer

    java.lang.Object
      de.rico.engine.effect.particle.ParticleEffectContainer

    public class ParticleEffectContainer

extends java.lang.Object

Simple container class for particle effects

Author:
  Frank Bruns

Constructor Summary
`ParticleEffectContainer()`

Method Summary
`void` | `add(AbstractParticleEffect effect)` Adds the specified particle effect to the container
`void` | `draw(javax.media.opengl.GL gl)` Draws the particle effects in the container
`java.util.List<AbstractParticleEffect>` | `getEffects()` Returns the list of particle effects in the container.
`void` | `remove(AbstractParticleEffect effect)` Removes the specified particle effect from the container
`void` | `update(long elapsedTime)` Updates the particle effects in the container

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParticleEffectContainer

    public ParticleEffectContainer()

Method Detail

### add

    public void add(AbstractParticleEffect effect)

  Adds the specified particle effect to the container

  Parameters:
    `effect` - particle effect to add to the container

### remove

    public void remove(AbstractParticleEffect effect)

  Removes the specified particle effect from the container

  Parameters:
    `effect` - particle effect to remove from the container

### getEffects

    public java.util.List<AbstractParticleEffect> getEffects()

  Returns the list of particle effects in the container.

  Returns:
    list with particle effects

### update

    public void update(long elapsedTime)

  Updates the particle effects in the container

  Parameters:
    `elapsedTime` - time between two frames

### draw

    public void draw(javax.media.opengl.GL gl)

  Draws the particle effects in the container

  Parameters:
    `gl` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD